DO $$ 
	DECLARE _path character varying(256) = 'patch-2024-12-16-CustomerIndexAlias';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=14552) THEN
			RETURN;
		END IF;

		BEGIN
			CREATE INDEX "ix_Customers_Alias"
    				ON public."Customers" USING btree
    				("Alias" COLLATE pg_catalog."default" ASC NULLS LAST)
    				TABLESPACE pg_default; 
 
 			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2024-12-16-CustomerIndexAlias: %', SQLERRM;
		END;
	END;
$$ 